Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | Protected Attributes | List of all members
eZ\Publish\Core\SignalSlot\SignalDispatcher\DefaultSignalDispatcher Class Reference

Dispatches Signals to their assigned Slots. More...

Inheritance diagram for eZ\Publish\Core\SignalSlot\SignalDispatcher\DefaultSignalDispatcher:

## Public Member Functions
| __construct (array $signalSlotMap=[])
| Construct from factory. More...
| emit (Signal $signal)
| Emits the given $signal. More...
| attach ($signalIdentifier, Slot $slot)
| Attaches the Slot with $slotIdentifier to the signal with $signalIdentifier. More...

## Public Attributes
const | RELATIVE_SIGNAL_NAMESPACE = 'eZ\\Publish\\Core\\SignalSlot\\Signal'
| Relative namespace for internal signals. More...

## Protected Attributes
| $factory
| $signalSlotMap = []

## Detailed Description

Dispatches Signals to their assigned Slots.

An instance of this class is required by each object that needs to send Signals.

Definition at line 21 of file DefaultSignalDispatcher.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\SignalSlot\SignalDispatcher\DefaultSignalDispatcher::__construct | ( | array | $signalSlotMap = `[]` | ) |

Construct from factory.

Parameters

  array | $signalSlotMap |

Definition at line 48 of file DefaultSignalDispatcher.php.

References eZ\Publish\Core\SignalSlot\SignalDispatcher\DefaultSignalDispatcher\$signalSlotMap.

## Member Function Documentation

## ◆ attach()

eZ\Publish\Core\SignalSlot\SignalDispatcher\DefaultSignalDispatcher::attach | ( |  | $signalIdentifier,
|  | Slot | $slot
| ) |  |

Attaches the Slot with $slotIdentifier to the signal with $signalIdentifier.

Parameters

  string | $signalIdentifier |
  \eZ\Publish\Core\SignalSlot\Slot | $slot |

Deprecated:
  pass signal slots directly to the constructor ({

See also
  __construct()})

Definition at line 86 of file DefaultSignalDispatcher.php.

## ◆ emit()

eZ\Publish\Core\SignalSlot\SignalDispatcher\DefaultSignalDispatcher::emit | ( | Signal | $signal | ) |

Emits the given $signal.

All assigned slots will eventually receive the $signal

Parameters

  Signal | $signal |

Reimplemented from eZ\Publish\Core\SignalSlot\SignalDispatcher.

Definition at line 63 of file DefaultSignalDispatcher.php.

## Member Data Documentation

## ◆ $factory

eZ\Publish\Core\SignalSlot\SignalDispatcher\DefaultSignalDispatcher::$factory
| protected

Definition at line 33 of file DefaultSignalDispatcher.php.

## ◆ $signalSlotMap

eZ\Publish\Core\SignalSlot\SignalDispatcher\DefaultSignalDispatcher::$signalSlotMap = []
| protected

Definition at line 41 of file DefaultSignalDispatcher.php.

Referenced by eZ\Publish\Core\SignalSlot\SignalDispatcher\DefaultSignalDispatcher\__construct().

## ◆ RELATIVE_SIGNAL_NAMESPACE

const eZ\Publish\Core\SignalSlot\SignalDispatcher\DefaultSignalDispatcher::RELATIVE_SIGNAL_NAMESPACE = 'eZ\\Publish\\Core\\SignalSlot\\Signal'

Relative namespace for internal signals.

Definition at line 26 of file DefaultSignalDispatcher.php.

The documentation for this class was generated from the following file:

- DefaultSignalDispatcher.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.